Bug 249468 - cad/cura: update to 4.7.1
Summary: cad/cura: update to 4.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Diane Bruce
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-19 23:31 UTC by Greg V
Modified: 2020-09-26 20:30 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (db)


Attachments
cura-471.patch (303.04 KB, patch)
2020-09-19 23:31 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2020-09-19 23:31:06 UTC
Created attachment 218097 [details]
cura-471.patch

This patch updates Cura and all associated dependencies to 4.7.1.

Also, it adds math/py-numpy-stl — an optional dependency that makes loading STL files much faster. Without it, Cura was complaining:

2020-09-20 02:19:31,877 - WARNING - [MainThread] STLReader.STLReader.<module> [32]: Could not find numpy-stl, falling back to slower code.

(note: not added to the category makefile because that often results in conflicts as time passes after the patch's creation. do that when committing)

I'm not sure where the 6.x version in cad/fdm_materials came from, seems like now that project has its version in sync with the Cura version, so I chose to increment PORTEPOCH for that.
Comment 1 Diane Bruce freebsd_committer 2020-09-20 00:52:43 UTC
(In reply to Greg V from comment #0)
Great! I had just started on this actually as it is a tad overdue. Thanks I'll look at this tomorrow.
Comment 2 commit-hook freebsd_committer 2020-09-20 23:20:18 UTC
A commit references this bug:

Author: db
Date: Sun Sep 20 23:20:02 UTC 2020
New revision: 549403
URL: https://svnweb.freebsd.org/changeset/ports/549403

Log:
  Simple library to make working with STL files
  (and 3D objects in general) fast and easy.

  Due to all operations heavily relying on numpy this is one of the fastest
  STL editing libraries for Python available.

  Prerequisite for Cura update submitted by greg@unrelenting.technology
  With some changes. Rest of updates will come in separate commits.

  PR:		ports/249468
  Submitted by:	greg@unrelenting.technology

Changes:
  head/math/Makefile
  head/math/py-numpy-stl/
  head/math/py-numpy-stl/Makefile
  head/math/py-numpy-stl/distinfo
  head/math/py-numpy-stl/pkg-descr
Comment 3 Diane Bruce freebsd_committer 2020-09-20 23:21:55 UTC
I fixed a tiny bug in py-numpy-stl
Comment 4 Diane Bruce freebsd_committer 2020-09-21 18:02:18 UTC
(In reply to Greg V from comment #0)
For your future reference for libArcus 
pkg version --test-version 4.7.1 15.06.03
It will need a PORTEPOCH
Comment 5 commit-hook freebsd_committer 2020-09-26 19:53:20 UTC
A commit references this bug:

Author: db
Date: Sat Sep 26 19:53:11 UTC 2020
New revision: 550214
URL: https://svnweb.freebsd.org/changeset/ports/550214

Log:
  This patch updates Cura and all associated dependencies to 4.7.1.

  Also, it adds math/py-numpy-stl - an optional dependency that makes
  loading STL files much faster. Without it, Cura was complaining:

  2020-09-20 02:19:31,877 - WARNING - [MainThread] STLReader.STLReader.<module> [32]: Could not find numpy-stl, falling back to slower code.

  I'm not sure where the 6.x version in cad/fdm_materials came from, seems
  like now that project has its version in sync with the Cura version,
  so I chose to increment PORTEPOCH for that. [Greg]

  - fdm_materials adds some new materials usable with Cura
  - I had to bump PORTEPOCH on a couple of ports
  - py-numpy-stl was added on a separate commit
  - Bump version checking in Cura on some dependancies
  [db]

  PR:		ports/249468
  Submitted by:	greg@unrelenting.technology

Changes:
  head/cad/cura/Makefile
  head/cad/cura/distinfo
  head/cad/cura/files/patch-cura__app.py
  head/cad/cura/files/patch-plugins_USBPrinting_USBPrinterOutputDeviceManager.py
  head/cad/cura/pkg-plist
  head/cad/cura-engine/Makefile
  head/cad/cura-engine/distinfo
  head/cad/fdm_materials/Makefile
  head/cad/fdm_materials/distinfo
  head/cad/fdm_materials/pkg-plist
  head/cad/uranium/Makefile
  head/cad/uranium/distinfo
  head/cad/uranium/pkg-plist
  head/net/libarcus/Makefile
  head/net/libarcus/distinfo
  head/net/libcharon/Makefile
  head/net/libcharon/distinfo